# ============================================================================= #
# >> Useful Information About The Plugin
# ============================================================================= #
# This plugin is made specifically for surf_greatriver_sgx_4_1.
# It'll allow players to use the following commands:
# 1. !tele, !tele2, !tele3, !tele4, !tele5, !tele6 & !tele7
# 2. !usp, !deagle, etc..
# 3. !god
# ============================================================================= #
# >> IMPORTS
# ============================================================================= #
import cmdlib
import es
from es import AddonInfo, getAddonPath
from path import path
import vecmath
import playerlib
import psyco
psyco.full()

zones = {}

currentMap = es.ServerVar('eventscripts_currentmap')
# ============================================================================= #
# >> Only those within 'RCON' will be able to see the
# >> "Welcome Back" msg.
# >> Thus you can leave it blank, if you do not wanna have the msg displayed.
# <<
# >> In order to add more STEAM_X:X:XXXXXXXX, simply, add and seperate with a
# >> space and a ,
# >> Ex. 'STEAM_X:X:XXXXXXXX', 'STEAM_X:X:XXXXXXXX'
# ============================================================================= #
RCON = ['STEAM_0:0:57240435', 'STEAM_X:X:XXXXXXXX']
# ============================================================================= #
# >> Addon Info
# ============================================================================= #
info = es.AddonInfo()
info.name     = "SurfMe"
info.version  = "1.0"
info.url      = "http://www.addons.eventscripts.com/addons/view/surfme"
info.author   = "Fridge"
info.description = "Capable of providing multiple commands."
# ============================================================================= #
# >> Load & Unload Function
# ============================================================================= #
def load():
    cmdlib.registerSayCommand('!tele', teleFunc, 'Teleports the cmdSender to the specified COORD')
    cmdlib.registerSayCommand('!tele2', tele2Func, 'Teleports the cmdSender to the specified COORD')
    cmdlib.registerSayCommand('!tele3', tele3Func, 'Teleports the cmdSender to the specified COORD')
    cmdlib.registerSayCommand('!tele4', tele4Func, 'Teleports the cmdSender to the specified COORD')
    cmdlib.registerSayCommand('!tele5', tele5Func, 'Teleports the cmdSender to the specified COORD')
    cmdlib.registerSayCommand('!tele6', tele6Func, 'Teleports the cmdSender to the specified COORD')
    cmdlib.registerSayCommand('!tele7', tele7Func, 'Teleports the cmdSender to the specified COORD')
    cmdlib.registerSayCommand('!glock', glockFunc, 'Gives a GLOCK to the cmdSender.')
    cmdlib.registerSayCommand('!usp', uspFunc, 'Gives a USP to the cmdSender.')
    cmdlib.registerSayCommand('!p228', p228Func, 'Gives a P228 to the cmdSender.')
    cmdlib.registerSayCommand('!deagle', deagleFunc, 'Gives a DEAGLE to the cmdSender.')
    cmdlib.registerSayCommand('!elite', eliteFunc, 'Gives a ELITE to the cmdSender.')
    cmdlib.registerSayCommand('!fiveseven', fivesevenFunc, 'Gives a FIVESEVEN to the cmdSender.')
    cmdlib.registerSayCommand('!m3', m3Func, 'Gives a M3 to the cmdSender.')
    cmdlib.registerSayCommand('!xm1014', xm1014Func, 'Gives a XM1014 to the cmdSender.')
    cmdlib.registerSayCommand('!mac10', mac10Func, 'Gives a MAC10 to the cmdSender.')
    cmdlib.registerSayCommand('!tmp', tmpFunc, 'Gives a TMP to the cmdSender.')
    cmdlib.registerSayCommand('!mp5', mp5navyFunc, 'Gives a MP5NAVY to the cmdSender.')
    cmdlib.registerSayCommand('!ump45', ump45Func, 'Gives a UMP45 to the cmdSender.')
    cmdlib.registerSayCommand('!p90', p90Func, 'Gives a P90 to the cmdSender.')
    cmdlib.registerSayCommand('!galil', galilFunc, 'Gives a GALIL to the cmdSender.')
    cmdlib.registerSayCommand('!famas', famasFunc, 'Gives a FAMAS to the cmdSender.')
    cmdlib.registerSayCommand('!ak47', ak47Func, 'Gives a AK47 to the cmdSender.')
    cmdlib.registerSayCommand('!m4a1', m4a1Func, 'Gives a M4A1 to the cmdSender.')
    cmdlib.registerSayCommand('!scout', scoutFunc, 'Gives a SCOUT to the cmdSender.')
    cmdlib.registerSayCommand('!sg550', sg550Func, 'Gives a SG550 to the cmdSender.')
    cmdlib.registerSayCommand('!aug', augFunc, 'Gives a AUG to the cmdSender.')
    cmdlib.registerSayCommand('!awp', awpFunc, 'Gives a AWP to the cmdSender.')
    cmdlib.registerSayCommand('!g3sg1', g3sg1Func, 'Gives a G3SG1 to the cmdSender.')
    cmdlib.registerSayCommand('!sg552', sg552Func, 'Gives a SG552 to the cmdSender.')
    cmdlib.registerSayCommand('!m249', m249Func, 'Gives a M249 to the cmdSender')
    cmdlib.registerSayCommand('!flashbang', flashbangFunc, 'Gives a FLASHBANG to the cmdSender')
    cmdlib.registerSayCommand('!hegrenade', hegrenadeFunc, 'Gives a HE GRENADE to the cmdSender')
    cmdlib.registerSayCommand('!smokegrenade', smokegrenadeFunc, 'Gives a SMOKE GRENADE to the cmdSender')
    cmdlib.registerSayCommand('!knife', knifeFunc, 'Gives a KNIFE to the cmdSender')
    cmdlib.registerSayCommand('!c4', c4Func, 'Gives a C4 to the cmdSender')
    cmdlib.registerSayCommand('!god', godmodeFunc, 'Enables GodMode on the cmdSender')

def unload():
    cmdlib.unregisterSayCommand('!tele')
    cmdlib.unregisterSayCommand('!tele2')
    cmdlib.unregisterSayCommand('!tele3')
    cmdlib.unregisterSayCommand('!tele4')
    cmdlib.unregisterSayCommand('!tele5')
    cmdlib.unregisterSayCommand('!tele6')
    cmdlib.unregisterSayCommand('!tele7')
    cmdlib.unregisterSayCommand('!glock')
    cmdlib.unregisterSayCommand('!usp')
    cmdlib.unregisterSayCommand('!p228')
    cmdlib.unregisterSayCommand('!deagle')
    cmdlib.unregisterSayCommand('!elite')
    cmdlib.unregisterSayCommand('!fiveseven')
    cmdlib.unregisterSayCommand('!m3')
    cmdlib.unregisterSayCommand('!xm1014')
    cmdlib.unregisterSayCommand('!mac10')
    cmdlib.unregisterSayCommand('!tmp')
    cmdlib.unregisterSayCommand('!mp5')
    cmdlib.unregisterSayCommand('!ump45')
    cmdlib.unregisterSayCommand('!p90')
    cmdlib.unregisterSayCommand('!galil')
    cmdlib.unregisterSayCommand('!famas')
    cmdlib.unregisterSayCommand('!ak47')
    cmdlib.unregisterSayCommand('!m4a1')
    cmdlib.unregisterSayCommand('!scout')
    cmdlib.unregisterSayCommand('!sg550')
    cmdlib.unregisterSayCommand('!aug')
    cmdlib.unregisterSayCommand('!awp')
    cmdlib.unregisterSayCommand('!g3sg1')
    cmdlib.unregisterSayCommand('!sg552')
    cmdlib.unregisterSayCommand('!m249')
    cmdlib.unregisterSayCommand('!flashbang')
    cmdlib.unregisterSayCommand('!hegrenade')
    cmdlib.unregisterSayCommand('!smokegrenade')
    cmdlib.unregisterSayCommand('!knife')
    cmdlib.unregisterSayCommand('!c4')
    cmdlib.unregisterSayCommand('!god')
# ============================================================================= #
# >> Plugin Prefix/Tag/Suffix Function
# ============================================================================= #
def tell(userid, text):
    es.tell(userid, '#multi', '\x07FF9933[\x07FF6633SurfMe\x0786F024\x07FF9933] \x0786F024 ' + text)
# ============================================================================= #
# >> Player Join Function
# ============================================================================= #
def player_activate(ev):
    userid = int(ev['userid'])
    UID = es.getplayersteamid(userid)
    player = playerlib.getPlayer(userid)
    es.tell(userid, '#multi', '\x07FF9933[\x07FF6633SurfMe\x07FF9933] \x0786F024Welcome \x07FF9933%s\x0786F024! \x0799FF33This server is running \x07FF6633SurfMe Multi CMD\x0799FF33!' % ev['es_username'])
    ply = playerlib.getPlayer(ev['userid'])
    ply.noblock(True)
    if player.inGodmode() == 0:
        player.godmode(1)
        gamethread.delayed(1, es.tell, (userid, 'Spawn protection : 5'))
        gamethread.delayed(2, es.tell, (userid, 'Spawn protection : 4'))
        gamethread.delayed(3, es.tell, (userid, 'Spawn protection : 3'))
        gamethread.delayed(4, es.tell, (userid, 'Spawn protection : 2'))
        gamethread.delayed(5, es.tell, (userid, 'Spawn protection : 1'))
        gamethread.delayed(5, player.godmode, (0))
    if UID in RCON:
        tell(userid, 'Welcome back \x07FF9933%s' %userid)
# ============================================================================= #
# >> Player Spawn Function
# ============================================================================= #
def player_spawn(ev):
    userid = int(ev['userid'])
    player = playerlib.getPlayer(userid)
    if player.inGodmode() == 0:
        player.godmode(1)
        gamethread.delayed(1, es.centermsg, (userid, 'Spawn Protection : 5'))
        gamethread.delayed(2, es.centermsg, (userid, 'Spawn Protection : 4'))
        gamethread.delayed(3, es.centermsg, (userid, 'Spawn Protection : 3'))
        gamethread.delayed(4, es.centermsg, (userid, 'Spawn Protection : 2'))
        gamethread.delayed(5, es.centermsg, (userid, 'Spawn Protection : 1'))
        gamethread.delayed(5, player.godmode, (0))
# ============================================================================= #
# >> Godmode Function
# ============================================================================= #
def godmodeFunc(userid, args):
    player = playerlib.getPlayer(userid)
    dead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    if dead == 0:
        if player.inGodMode() == 0:
            player.godmode(1)
            tell(userid, 'GodMode has been enabled.')
        else:
            player.godmode(0)
            tell(userid, 'GodMode has been disabled.')
    else:
        tell(userid, "You're either dead or a spectator")
# ============================================================================= #
# >> Player Death Function
# ============================================================================= #
def player_death(ev):
    userid = es.getuserid()
    player = playerlib.getPlayer(userid)
    es.setplayerprop(userid, "CCSPlayer.m_iPlayerState", 0)
    es.setplayerprop(userid, "CCSPlayer.baseclass.m_lifeState", 512)
    es.server.queuecmd('es_xspawnplayer %s' %userid)
# ============================================================================= #
# >> Velocity Function
# ============================================================================= #
def resetvel(player):
    x = es.getplayerprop(player, "CBasePlayer.localdata.m_vecVelocity[0]") * -1
    y = es.getplayerprop(player, "CBasePlayer.localdata.m_vecVelocity[1]") * -1
    z = es.getplayerprop(player, "CBasePlayer.localdata.m_vecVelocity[2]") * -1
    es.setplayerprop(player, "CBasePlayer.localdata.m_vecBaseVelocity", es.createvectorstring(x, y, z))
# ============================================================================= #
# >> Teleportation Functions
# ============================================================================= #
def teleFunc(userid, args):
    player = playerlib.getPlayer(userid)
    dead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    if dead == 0:
        es.server.queuecmd('es_setpos %s 3383.478516, -2770.084961, 2404.153564' %userid)
        es.server.queuecmd('es_setang %s -3.331344, 94.353149, 0.000000' %userid)
        resetvel(userid)
    else:
        tell(userid, "You're either dead or a spectator")

def tele2Func(userid, args):
    player = playerlib.getPlayer(userid)
    dead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    if dead == 0:
        es.server.queuecmd('es_setpos %s -286.400970, -714.806702, 1923.868774' %userid)
        es.server.queuecmd('es_setang %s 0.677914, 90.336182, 0.000000' %userid)
        resetvel(userid)
    else:
        tell(userid, "You're either dead or a spectator")

def tele3Func(userid, args):
    player = playerlib.getPlayer(userid)
    dead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    if dead == 0:
        es.server.queuecmd('es_setpos %s -301.250000, 2078.035156, 2906.504639' %userid)
        es.server.queuecmd('es_setang %s -5.100149, -89.727631, 0.000000' %userid)
    else:
        tell(userid, "You're either dead or a spectator")

def tele4Func(userid, args):
    player = playerlib.getPlayer(userid)
    dead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    if dead == 0:
        es.server.queuecmd('es_setpos %s 207.950562, 458.206146, -341.837128' %userid)
        es.server.queuecmd('es_setang %s -1.680483, -91.506088, 0.000000' %userid)
        resetvel(userid)
    else:
        tell(userid, "You're either dead or a spectator")

def tele5Func(userid, args):
    player = playerlib.getPlayer(userid)
    dead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    if dead == 0:
        es.server.queuecmd('es_setpos %s 3398.898926, -2765.921387, 2405.184570' %userid)
        es.server.queuecmd('es_setang %s -1.090819, 92.812500, 0.000000' %userid)
        resetvel(userid)
    else:
        tell(userid, "You're either dead or a spectator")

def tele6Func(userid, args):
    player = playerlib.getPlayer(userid)
    dead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    if dead == 0:
        es.server.queuecmd('es_setpos %s -817.021057, 496.016937, -341.837128' %userid)
        es.server.queuecmd('es_setang %s -1.916323, -88.676010, 0.000000' %userid)
        resetvel(userid)
    else:
        tell(userid, "You're either dead or a spectator")

def tele7Func(userid, args):
    player = playerlib.getPlayer(userid)
    dead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    if dead == 0:
        es.server.queuecmd('es_setpos %s -319.069336 2774.821045 -1432.617188' %userid)
        es.server.queuecmd('es_setang %s 0.913778, -90.444817, 0.000000' %userid)
        resetvel(userid)
    else:
        tell(userid, "You're either dead or a spectator")
# ============================================================================= #
# >> Pistol Function
# ============================================================================= #
def glockFunc(userid, args):
    player = playerlib.getPlayer(userid)
    dead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    if dead == 0:
        if player.getSecondary() == 0:
            es.server.queuecmd('es_xgive %s weapon_glock' % userid)
            tell(userid, 'You have received a Glock.')
        else:
            tell(userid, 'You already have a secondary weapon.')
    else:
        tell(userid, "You're either dead or a spectator")

def uspFunc(userid, args):
    player = playerlib.getPlayer(userid)
    dead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    if dead == 0:
        if player.getSecondary() == 0:
            es.server.queuecmd('es_xgive %s weapon_usp' % userid)
            tell(userid, 'You have received a USP.')
        else:
            tell(userid, 'You already have a secondary weapon.')
    else:
        tell(userid, "You're either dead or a spectator")

def p228Func(userid, args):
    player = playerlib.getPlayer(userid)
    dead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    if dead == 0:
        if player.getSecondary() == 0:
            es.server.queuecmd('es_xgive %s weapon_p228' % userid)
            tell(userid, 'You have received a P228.')
        else:
            tell(userid, 'You already have a secondary weapon.')
    else:
        tell(userid, "You're either dead or a spectator")

def deagleFunc(userid, args):
    player = playerlib.getPlayer(userid)
    dead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    if dead == 0:
        if player.getSecondary() == 0:
            es.server.queuecmd('es_xgive %s weapon_deagle' % userid)
            tell(userid, 'You have received a Deagle.')
        else:
            tell(userid, 'You already have a secondary weapon.')
    else:
        tell(userid, "You're either dead or a spectator")

def eliteFunc(userid, args):
    player = playerlib.getPlayer(userid)
    dead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    if dead == 0:
        if player.getSecondary() == 0:
            es.server.queuecmd('es_xgive %s weapon_elite' % userid)
            tell(userid, 'You have received a pair of Elite.')
        else:
            tell(userid, 'You already have a secondary weapon.')
    else:
        tell(userid, "You're either dead or a spectator")

def fivesevenFunc(userid, args):
    player = playerlib.getPlayer(userid)
    dead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    if dead == 0:
        if player.getSecondary() == 0:
            es.server.queuecmd('es_xgive %s weapon_fiveseven' % userid)
            tell(userid, 'You have received a Fiveseven.')
        else:
            tell(userid, 'You already have a secondary weapon.')
    else:
        tell(userid, "You're either dead or a spectator")

# ============================================================================= #
# >> Shotgun Function
# ============================================================================= #
def m3Func(userid, args):
    player = playerlib.getPlayer(userid)
    dead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    if dead == 0:
        if player.getPrimary() == 0:
            es.server.queuecmd('es_xgive %s weapon_m3' % userid)
            tell(userid, 'You have received a M3.')
        else:
            tell(userid, 'You already have a primary weapon.')
    else:
        tell(userid, "You're either dead or a spectator")

def xm1014Func(userid, args):
    player = playerlib.getPlayer(userid)
    dead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    if dead == 0:
        if player.getPrimary() == 0:
            es.server.queuecmd('es_xgive %s weapon_xm1014' % userid)
            tell(userid, 'You have received a XM1014.')
        else:
            tell(userid, 'You already have a primary weapon.')
    else:
        tell(userid, "You're either dead or a spectator")

# ============================================================================= #
# >> SMG Function
# ============================================================================= #
def mac10Func(userid, args):
    player = playerlib.getPlayer(userid)
    dead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    if dead == 0:
        if player.getPrimary() == 0:
            es.server.queuecmd('es_xgive %s weapon_mac10' % userid)
            tell(userid, 'You have received a MAC10.')
        else:
            tell(userid, 'You already have a primary weapon.')
    else:
        tell(userid, "You're either dead or a spectator")

def tmpFunc(userid, args):
    player = playerlib.getPlayer(userid)
    dead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    if dead == 0:
        if player.getPrimary() == 0:
            es.server.queuecmd('es_xgive %s weapon_tmp' % userid)
            tell(userid, 'You have received a TMP.')
        else:
            tell(userid, 'You already have a primary weapon.')
    else:
        tell(userid, "You're either dead or a spectator")

def mp5navyFunc(userid, args):
    player = playerlib.getPlayer(userid)
    dead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    if dead == 0:
        if player.getPrimary() == 0:
            es.server.queuecmd('es_xgive %s weapon_mp5navy' % userid)
            tell(userid, 'You have received a MP5.')
        else:
            tell(userid, 'You already have a primary weapon.')
    else:
        tell(userid, "You're either dead or a spectator")

def ump45Func(userid, args):
    player = playerlib.getPlayer(userid)
    dead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    if dead == 0:
        if player.getPrimary() == 0:
            es.server.queuecmd('es_xgive %s weapon_ump45' % userid)
            tell(userid, 'You have received a UMP45.')
        else:
            tell(userid, 'You already have a primary weapon.')
    else:
        tell(userid, "You're either dead or a spectator")

def p90Func(userid, args):
    player = playerlib.getPlayer(userid)
    dead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    if dead == 0:
        if player.getPrimary() == 0:
            es.server.queuecmd('es_xgive %s weapon_p90' % userid)
            tell(userid, 'You have received a P90.')
        else:
            tell(userid, 'You already have a primary weapon.')
    else:
        tell(userid, "You're either dead or a spectator")
# ============================================================================= #
# >> Rifles Function
# ============================================================================= #
def galilFunc(userid, args):
    player = playerlib.getPlayer(userid)
    dead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    if dead == 0:
        if player.getPrimary() == 0:
            es.server.queuecmd('es_xgive %s weapon_galil' % userid)
            tell(userid, 'You have received a GALIL.')
        else:
            tell(userid, 'You already have a primary weapon.')
    else:
        tell(userid, "You're either dead or a spectator")

def famasFunc(userid, args):
    player = playerlib.getPlayer(userid)
    dead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    if dead == 0:
        if player.getPrimary() == 0:
            es.server.queuecmd('es_xgive %s weapon_famas' % userid)
            tell(userid, 'You have received a FAMAS.')
        else:
            tell(userid, 'You already have a primary weapon.')
    else:
        tell(userid, "You're either dead or a spectator")

def ak47Func(userid, args):
    player = playerlib.getPlayer(userid)
    dead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    if dead == 0:
        if player.getPrimary() == 0:
            es.server.queuecmd('es_xgive %s weapon_ak47' % userid)
            tell(userid, 'You have received a AK47.')
        else:
            tell(userid, 'You already have a primary weapon.')
    else:
        tell(userid, "You're either dead or a spectator")

def m4a1Func(userid, args):
    player = playerlib.getPlayer(userid)
    dead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    if dead == 0:
        if player.getPrimary() == 0:
            es.server.queuecmd('es_xgive %s weapon_m4a1' % userid)
            tell(userid, 'You have received a M4A1.')
        else:
            tell(userid, 'You already have a primary weapon.')
    else:
        tell(userid, "You're either dead or a spectator")

def scoutFunc(userid, args):
    player = playerlib.getPlayer(userid)
    dead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    if dead == 0:
        if player.getPrimary() == 0:
            es.server.queuecmd('es_xgive %s weapon_scout' % userid)
            tell(userid, 'You have received a SCOUT.')
        else:
            tell(userid, 'You already have a primary weapon.')
    else:
        tell(userid, "You're either dead or a spectator")

def sg550Func(userid, args):
    player = playerlib.getPlayer(userid)
    dead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    if dead == 0:
        if player.getPrimary() == 0:
            es.server.queuecmd('es_xgive %s weapon_sg550' % userid)
            tell(userid, 'You have received a SG550.')
        else:
            tell(userid, 'You already have a primary weapon.')
    else:
        tell(userid, "You're either dead or a spectator")

def augFunc(userid, args):
    player = playerlib.getPlayer(userid)
    dead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    if dead == 0:
        if player.getPrimary() == 0:
            es.server.queuecmd('es_xgive %s weapon_aug' % userid)
            tell(userid, 'You have received a AUG.')
        else:
            tell(userid, 'You already have a primary weapon.')
    else:
        tell(userid, "You're either dead or a spectator")

def awpFunc(userid, args):
    player = playerlib.getPlayer(userid)
    dead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    if dead == 0:
        if player.getPrimary() == 0:
            es.server.queuecmd('es_xgive %s weapon_awp' % userid)
            tell(userid, 'You have received a AWP.')
        else:
            tell(userid, 'You already have a primary weapon.')
    else:
        tell(userid, "You're either dead or a spectator")

def g3sg1Func(userid, args):
    player = playerlib.getPlayer(userid)
    dead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    if dead == 0:
        if player.getPrimary() == 0:
            es.server.queuecmd('es_xgive %s weapon_g3sg1' % userid)
            tell(userid, 'You have received a G3SG1.')
        else:
            tell(userid, 'You already have a primary weapon.')
    else:
        tell(userid, "You're either dead or a spectator")

def sg552Func(userid, args):
    player = playerlib.getPlayer(userid)
    dead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    if dead == 0:
        if player.getPrimary() == 0:
            es.server.queuecmd('es_xgive %s weapon_sg552' % userid)
            tell(userid, 'You have received a SG552.')
        else:
            tell(userid, 'You already have a primary weapon.')
    else:
        tell(userid, "You're either dead or a spectator")
# ============================================================================= #
# >> Machine Gun Function
# ============================================================================= #
def m249Func(userid, args):
    player = playerlib.getPlayer(userid)
    dead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    if dead == 0:
        if player.getPrimary() == 0:
            es.server.queuecmd('es_xgive %s weapon_m249' % userid)
            tell(userid, 'You have received a M249.')
        else:
            tell(userid, 'You already have a primary weapon.')
    else:
        tell(userid, "You're either dead or a spectator")
# ============================================================================= #
# >> Miscellaneous Function
# ============================================================================= #
def flashbangFunc(userid, args):
    player = playerlib.getPlayer(userid)
    dead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    if dead == 0:
        if player.getFB() in (0, 1):
            es.server.queuecmd('es_xgive %s weapon_flashbang' % userid)
            tell(userid, 'You have received a flashbang.')
        else:
            tell(userid, 'You have the maximum amount of flashbangs.')
    else:
        tell(userid, "You're either dead or a spectator")

def hegrenadeFunc(userid, args):
    player = playerlib.getPlayer(userid)
    dead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    if dead == 0:
        if player.getHE() == 0:
            es.server.queuecmd('es_xgive %s weapon_hegrenade' % userid)
            tell(userid, 'You have received a HE Grenade.')
        else:
            tell(userid, 'You have the maximum amount of HE Grenades.')
    else:
        tell(userid, "You're either dead or a spectator")

def smokegrenadeFunc(userid, args):
    player = playerlib.getPlayer(userid)
    dead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    if dead == 0:
        if player.getSG() == 0:
            es.server.queuecmd('es_xgive %s weapon_smokegrenade' % userid)
            tell(userid, 'You have received a Smoke Grenade.')
        else:
            tell(userid, 'You have the maximum amount of Smoke Grenades.')
    else:
        tell(userid, "You're either dead or a spectator")

def knifeFunc(userid, args):
    player = playerlib.getPlayer(userid)
    dead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    if dead == 0:
        es.server.queuecmd('es_xgive %s weapon_knife' % userid)
        tell(userid, 'You have received a knife.')
        tell(userid, 'Future updates will add a knife limitation feature. Only allowing users to receive 1 knife at a time, to avoid lag spikes.')
    else:
        tell(userid, "You're either dead or a spectator")

def c4Func(userid, args):
    player = playerlib.getPlayer(userid)
    dead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    if dead == 0:
        if player.hasC4() == 0:
            es.server.queuecmd('es_xgive %s weapon_c4' % userid)
            tell(userid, 'You have received a C4.')
        else:
            tell(userid, 'You have the maximum amount of C4.')
    else:
        tell(userid, "You're either dead or a spectator")